Subject: Re: Why my NIC shows NUMA -1?

From: Oleg A Arkhangelsky <[email-masked]>
Date: Thu, 12 Nov 2015 09:21:28 +0300

12.11.2015, 01:41, "Vincent Li" <[email-masked]>:
> Hi
>
> Sorry I am not sure if this is the right list to ask this question,
> please direct me to the correct one. thanks!
>
> I am using Intel 82599 on Dell PowerEdge R710 which should support
> NUMA node, the box is running ubuntu 14.01.1 LTS , I am wondering why I
> get NUMA socket -1.
>
> in BIOS, the memory "Node Interleaving" is
> disabled by default and I am using DPDK and DPDK sees my NIC NUMA -1,
> but i guess it is
> not related to DPDK since the sysfs shows NUMA -1, any clue?

numa_node value is set according to information provided by BIOS _PXM
table.

This can be related to your question:
https://patchwork.ozlabs.org/patch/400073/

--
wbr, Oleg.

"Anarchy is about taking complete responsibility for yourself."
      Alan Moore.